Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class CertReqMsg.Template

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.CertReqMsg.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  CertReqMsg

public static class CertReqMsg.Template
extends java.lang.Object
implements ASN1Template

A class for decoding CertReqMsg structures from a BER encoding.

Constructor Summary
`CertReqMsg.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes a CertReqMsg from the given input stream.
`ASN1Value` | `decode(Tag implicit, java.io.InputStream istream)` Decodes a CertReqMsg from the given input stream, using the given implicit tag.
`boolean` | `tagMatch(Tag t)` Determines whether the given tag will satisfy this template.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### CertReqMsg.Template

    public CertReqMsg.Template()

Method Detail

### tagMatch

    public boolean tagMatch(Tag t)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.
  Specified by:
    `tagMatch` in interface `ASN1Template`

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes a CertReqMsg from the given input stream.
  Specified by:
    `decode` in interface `ASN1Template`
  Returns:
    A new CertReqMsg. The return value may be cast to a `CertReqMsg`.

### decode

    public ASN1Value decode(Tag implicit,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes a CertReqMsg from the given input stream, using the given implicit tag.
  Specified by:
    `decode` in interface `ASN1Template`
  Parameters:
    `implicit` - The implicit tag for this item. This must be supplied if the CertReqMsg appears in a context where it is implicitly tagged.
  Returns:
    A new CertReqMsg. The return value may be cast to a `CertReqMsg`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD